
import random
from babel.numbers import format_currency, parse_currency
from babel.dates import format_date, parse_date

def currency_converter(amount, from_currency, to_currency):
    try:
        parsed_amount, parsed_from_currency = parse_currency(amount, locale='en_US')
        parsed_to_currency = parse_currency(to_currency, locale='en_US')
        converted_amount = format_currency(parsed_amount, parsed_from_currency, parsed_to_currency, locale='en_US')
        return converted_amount
    except Exception as e:
        return f"Error: {str(e)}"

# JSON Explanation
